Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io.mmcif
Interface MMcifParser

All Known Implementing Classes:
  SimpleMMcifParser

    public interface MMcifParser

Interface that needs to be implemented by an MMcifParser

Since:
  1.7
Author:
  Andreas Prlic

Method Summary
`void` | `addMMcifConsumer(MMcifConsumer consumer)` Add a MMcifConsumer that listens to even being triggered by the parser and processes the data into a backend provided by the Consumer.
`void` | `clearConsumers()` Remove all consumers from the parser.
`void` | `parse(BufferedReader buf)` Start the actual parsing.
`void` | `parse(InputStream inStream)` Start the actual parsing.
`void` | `removeMMcifConsumer(MMcifConsumer consumer)` remove a single consumer from the parser

Method Detail

### addMMcifConsumer

    void addMMcifConsumer(MMcifConsumer consumer)

  Add a MMcifConsumer that listens to even being triggered by the parser and processes the data into a backend provided by the Consumer.

  Parameters:
    `consumer` - a consumer object.

### clearConsumers

    void clearConsumers()

  Remove all consumers from the parser.

### removeMMcifConsumer

    void removeMMcifConsumer(MMcifConsumer consumer)

  remove a single consumer from the parser

  Parameters:
    `consumer` -

### parse

    void parse(BufferedReader buf)
               throws IOException

  Start the actual parsing. The parser will trigger events that are defined by the MMcifConsumer class.

  Parameters:
    `buf` - a BufferedReader.
  Throws:
    `IOException`

### parse

    void parse(InputStream inStream)
               throws IOException

  Start the actual parsing. The parser will trigger events that are defined by the MMcifConsumer class.

  Parameters:
    `inStream` - InputStream to parse from.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD